#! /bin/sh

export TiVoIP=your-TiVoIP-here
export MAK=your-MAK-here
export bindir=~/dir/with/files

# pull the Now Playing XML down from the TiVo
wget --no-check-certificate --http-user=tivo --http-password=$MAK \
-O /tmp/nowplaying.xml "https://$TiVoIP/TiVoConnect?Command=QueryContainer\
&Container=%2FNowPlaying&Recurse=Yes"

# Convert it to Atom 1.0
xsltproc -o /tmp/nowplaying.atom $bindir/nowplaying2atom.xsl /tmp/nowplaying.xml

# FTP the Atom file to a public web server
ftp -n snee.com < $bindir/nowplaying.l.ftp
